### A free/open-source library for quantitative finance

Public Types | Public Member Functions | Protected Member Functions
MCEuropeanHestonEngine< RNG, S > Class Template Reference
Vanilla option engines

Monte Carlo Heston-model engine for European options. More...

`#include <ql/pricingengines/vanilla/mceuropeanhestonengine.hpp>`

Inheritance diagram for MCEuropeanHestonEngine< RNG, S >:
[legend]

List of all members.

## Public Types

typedef MCVanillaEngine < MultiVariate, RNG, S > ::path_pricer_type | path_pricer_type

## Public Member Functions

| MCEuropeanHestonEngine (const boost::shared_ptr< HestonProcess > &, Size timeSteps, Size timeStepsPerYear, bool antitheticVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed)

## Protected Member Functions

boost::shared_ptr < path_pricer_type > | pathPricer () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MCEuropeanHestonEngine< RNG, S >

Monte Carlo Heston-model engine for European options.

Tests:
  the correctness of the returned value is tested by reproducing results available in web/literature